Appearance in Vue Accumulation chart component

18 Nov 201820 minutes to read

Custom Color Palette

You can customize the default color of series or points by providing a custom color palette of your choice by using the palettes property.

<template>
  <div id="app">
    <ejs-accumulationchart id="container">
      <e-accumulation-series-collection>
        <e-accumulation-series :dataSource='seriesData' :palettes='palettes' xName='x' yName='y'>
        </e-accumulation-series>
      </e-accumulation-series-collection>
    </ejs-accumulationchart>
  </div>
</template>
<script setup>
import { provide } from "vue";
import { AccumulationChartComponent as EjsAccumulationchart, AccumulationSeriesCollectionDirective as EAccumulationSeriesCollection, AccumulationSeriesDirective as EAccumulationSeries, PieSeries } from "@syncfusion/ej2-vue-charts";


const seriesData = [
  { x: 'Jan', y: 3, fill: '#498fff', text: 'January' }, { x: 'Feb', y: 3.5, fill: '#ffa060', text: 'February' },
  { x: 'Mar', y: 7, fill: '#ff68b6', text: 'March' }, { x: 'Apr', y: 13.5, fill: '#81e2a1', text: 'April' }
];
const palettes = ["#E94649", "#F6B53F", "#6FAAB0", "#FF33F3", "#228B22", "#3399FF"];

provide('accumulationchart', [PieSeries]);

</script>
<style>
#container {
  height: 350px;
}
</style>
<template>
  <div id="app">
    <ejs-accumulationchart id="container">
      <e-accumulation-series-collection>
        <e-accumulation-series :dataSource='seriesData' :palettes='palettes' xName='x' yName='y'>
        </e-accumulation-series>
      </e-accumulation-series-collection>
    </ejs-accumulationchart>
  </div>
</template>
<script>

import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, PieSeries } from "@syncfusion/ej2-vue-charts";

export default {
  name: "App",
  components: {
    "ejs-accumulationchart": AccumulationChartComponent,
    "e-accumulation-series-collection": AccumulationSeriesCollectionDirective,
    "e-accumulation-series": AccumulationSeriesDirective
  },
  data() {
    return {
      seriesData: [
        { x: 'Jan', y: 3, fill: '#498fff', text: 'January' }, { x: 'Feb', y: 3.5, fill: '#ffa060', text: 'February' },
        { x: 'Mar', y: 7, fill: '#ff68b6', text: 'March' }, { x: 'Apr', y: 13.5, fill: '#81e2a1', text: 'April' }
      ],
      palettes: ["#E94649", "#F6B53F", "#6FAAB0", "#FF33F3", "#228B22", "#3399FF"],
    };
  },
  provide: {
    accumulationchart: [PieSeries]
  }
};
</script>
<style>
#container {
  height: 350px;
}
</style>

Animation

Fluid Animation

Fluid animation used to animate series with updated dataSource continues animation rather than animation whole series. You can customize animation for a particular series using [animate] method.

<template>
  <div id="app">
    <ejs-accumulationchart id="container" ref="pie" :title="title" :loaded="loaded">
      <e-accumulation-series-collection>
        <e-accumulation-series name="Revenue" :dataSource="data" xName="x" yName="y" :startAngle="startAngle"
          :endAngle="endAngle" innerRadius="40%" :dataLabel="dataLabel">
        </e-accumulation-series>
      </e-accumulation-series-collection>
    </ejs-accumulationchart>
  </div>
</template>
<script setup>
import { provide } from "vue";
import { AccumulationChartComponent as EjsAccumulationchart, AccumulationSeriesCollectionDirective as EAccumulationSeriesCollection, AccumulationSeriesDirective as EAccumulationSeries, PieSeries, AccumulationDataLabel } from "@syncfusion/ej2-vue-charts";
import { ref } from 'vue';

const pie = ref(null);
let count = 0;
let datasource1 = [
  { x: "Net-tution and Fees", y: 10 },
  { x: "Self-supporting Operations", y: 10 },
  { x: "Private Gifts", y: 13 },
  { x: "All Other", y: 14 },
  { x: "Local Revenue", y: 9 },
  { x: "State Revenue", y: 13 },
  { x: "Federal Revenue", y: 8 }
];
let datasource2 = [
  { x: "Net-tution and Fees", y: 120 },
  { x: "Self-supporting Operations", y: 31 },
  { x: "Private Gifts", y: 6 },
  { x: "All Other", y: 12 },
  { x: "Local Revenue", y: 25 },
  { x: "State Revenue", y: 11 },
  { x: "Federal Revenue", y: 12 }
];
let datasource3 = [
  { x: "Net-tution and Fees", y: 6 },
  { x: "Self-supporting Operations", y: 22 },
  { x: "Private Gifts", y: 11 },
  { x: "All Other", y: 15 },
  { x: "Local Revenue", y: 13 },
  { x: "State Revenue", y: 10 },
  { x: "Federal Revenue", y: 8 }
];
let datasource4 = [
  { x: "Net-tution and Fees", y: 15 },
  { x: "Self-supporting Operations", y: 10 },
  { x: "Private Gifts", y: 18 },
  { x: "All Other", y: 20 },
  { x: "Local Revenue", y: 30 },
  { x: "State Revenue", y: 20 },
  { x: "Federal Revenue", y: 25 }
];
let datasource5 = [
  { x: "Net-tution and Fees", y: 21 },
  { x: "Self-supporting Operations", y: 10 },
  { x: "Private Gifts", y: 15 },
  { x: "All Other", y: 15 },
  { x: "Local Revenue", y: 11 },
  { x: "State Revenue", y: 20 },
  { x: "Federal Revenue", y: 60 }
];


const data = [
  { x: "Net-tution and Fees", y: 21, text: "21%" },
  { x: "Self-supporting Operations", y: 21, text: "21%" },
  { x: "Private Gifts", y: 8, text: "8%" },
  { x: "All Other", y: 8, text: "8%" },
  { x: "Local Revenue", y: 4, text: "4%" },
  { x: "State Revenue", y: 21, text: "21%" },
  { x: "Federal Revenue", y: 16, text: "16%" }
];
const dataLabel = {
  visible: true,
  position: "Inside",
  font: {
    color: "white",
    fontWeight: "Bold",
    size: "14px"
  }
};
const startAngle = 0;
const endAngle = 360;
const title = "Education Institutional Revenue";


const loaded = function () {
  pie.value.ej2Instances.loaded = null;
  setInterval(() => {
    if (count === 0) {
      pie.value.ej2Instances.series[0].dataSource = datasource1;
      pie.value.ej2Instances.animate();
      count++;
    } else if (count === 1) {
      pie.value.ej2Instances.series[0].dataSource = datasource2;
      pie.value.ej2Instances.animate();
      count++;
    } else if (count === 2) {
      pie.value.ej2Instances.series[0].dataSource = datasource3;
      pie.value.ej2Instances.animate();
      count++;
    } else if (count === 3) {
      pie.value.ej2Instances.series[0].dataSource = datasource4;
      pie.value.ej2Instances.animate();
      count++;
    } else if (count === 4) {
      pie.value.ej2Instances.series[0].dataSource = datasource5;
      pie.value.ej2Instances.animate();
      count = 0;
    }
  }, 3000);
};

provide('accumulationchart', [PieSeries, AccumulationDataLabel]);

</script>
<template>
  <div id="app">
    <ejs-accumulationchart id="container" ref="pie" :title="title" :loaded="loaded">
      <e-accumulation-series-collection>
        <e-accumulation-series name="Revenue" :dataSource="data" xName="x" yName="y" :startAngle="startAngle"
          :endAngle="endAngle" innerRadius="40%" :dataLabel="dataLabel">
        </e-accumulation-series>
      </e-accumulation-series-collection>
    </ejs-accumulationchart>
  </div>
</template>
<script>

import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, PieSeries, AccumulationDataLabel } from "@syncfusion/ej2-vue-charts";

let count = 0;
let datasource1 = [
  { x: "Net-tution and Fees", y: 10 },
  { x: "Self-supporting Operations", y: 10 },
  { x: "Private Gifts", y: 13 },
  { x: "All Other", y: 14 },
  { x: "Local Revenue", y: 9 },
  { x: "State Revenue", y: 13 },
  { x: "Federal Revenue", y: 8 }
];
let datasource2 = [
  { x: "Net-tution and Fees", y: 120 },
  { x: "Self-supporting Operations", y: 31 },
  { x: "Private Gifts", y: 6 },
  { x: "All Other", y: 12 },
  { x: "Local Revenue", y: 25 },
  { x: "State Revenue", y: 11 },
  { x: "Federal Revenue", y: 12 }
];
let datasource3 = [
  { x: "Net-tution and Fees", y: 6 },
  { x: "Self-supporting Operations", y: 22 },
  { x: "Private Gifts", y: 11 },
  { x: "All Other", y: 15 },
  { x: "Local Revenue", y: 13 },
  { x: "State Revenue", y: 10 },
  { x: "Federal Revenue", y: 8 }
];
let datasource4 = [
  { x: "Net-tution and Fees", y: 15 },
  { x: "Self-supporting Operations", y: 10 },
  { x: "Private Gifts", y: 18 },
  { x: "All Other", y: 20 },
  { x: "Local Revenue", y: 30 },
  { x: "State Revenue", y: 20 },
  { x: "Federal Revenue", y: 25 }
];
let datasource5 = [
  { x: "Net-tution and Fees", y: 21 },
  { x: "Self-supporting Operations", y: 10 },
  { x: "Private Gifts", y: 15 },
  { x: "All Other", y: 15 },
  { x: "Local Revenue", y: 11 },
  { x: "State Revenue", y: 20 },
  { x: "Federal Revenue", y: 60 }
];
export default {
  name: "App",
  components: {
    "ejs-accumulationchart": AccumulationChartComponent,
    "e-accumulation-series-collection": AccumulationSeriesCollectionDirective,
    "e-accumulation-series": AccumulationSeriesDirective
  },
  data() {
    return {
      data: [
        { x: "Net-tution and Fees", y: 21, text: "21%" },
        { x: "Self-supporting Operations", y: 21, text: "21%" },
        { x: "Private Gifts", y: 8, text: "8%" },
        { x: "All Other", y: 8, text: "8%" },
        { x: "Local Revenue", y: 4, text: "4%" },
        { x: "State Revenue", y: 21, text: "21%" },
        { x: "Federal Revenue", y: 16, text: "16%" }
      ],
      dataLabel: {
        visible: true,
        position: "Inside",
        font: {
          color: "white",
          fontWeight: "Bold",
          size: "14px"
        }
      },
      startAngle: 0,
      endAngle: 360,
      title: "Education Institutional Revenue"
    };
  },
  methods: {
    loaded: function () {
      this.$refs.pie.ej2Instances.loaded = null;
      setInterval(() => {
        if (count === 0) {
          this.$refs.pie.ej2Instances.series[0].dataSource = datasource1;
          this.$refs.pie.ej2Instances.animate();
          count++;
        } else if (count === 1) {
          this.$refs.pie.ej2Instances.series[0].dataSource = datasource2;
          this.$refs.pie.ej2Instances.animate();
          count++;
        } else if (count === 2) {
          this.$refs.pie.ej2Instances.series[0].dataSource = datasource3;
          this.$refs.pie.ej2Instances.animate();
          count++;
        } else if (count === 3) {
          this.$refs.pie.ej2Instances.series[0].dataSource = datasource4;
          this.$refs.pie.ej2Instances.animate();
          count++;
        } else if (count === 4) {
          this.$refs.pie.ej2Instances.series[0].dataSource = datasource5;
          this.$refs.pie.ej2Instances.animate();
          count = 0;
        }
      }, 3000);
    }
  },
  provide: {
    accumulationchart: [PieSeries, AccumulationDataLabel]
  }
};
</script>

Appearance in Angular Accumulation chart component

18 Nov 201816 minutes to read

Custom Color Palette

You can customize the default color of series or points by providing a custom color palette of your choice by using the palettes property.

import { AccumulationChartModule } from '@syncfusion/ej2-angular-charts'
import { PieSeriesService, AccumulationLegendService, AccumulationTooltipService, AccumulationAnnotationService,
  AccumulationDataLabelService } from '@syncfusion/ej2-angular-charts'


import { Component, OnInit } from '@angular/core';
import { data } from './datasource';
@Component({
imports: [
         AccumulationChartModule
    ],

providers: [PieSeriesService, AccumulationLegendService, AccumulationTooltipService, AccumulationDataLabelService,
     AccumulationAnnotationService],
standalone: true,
    selector: 'app-container',
    template: `<ejs-accumulationchart id="chart-container" [legendSettings]='legendSettings'>
        <e-accumulation-series-collection>
            <e-accumulation-series [dataSource]='piedata' xName='x' yName='y' type='Pie' [palettes]='palette'></e-accumulation-series>
        </e-accumulation-series-collection>
    </ejs-accumulationchart>`
})
export class AppComponent implements OnInit {
    public piedata?: Object[];
    public legendSettings?: Object;
    public palette?: string[];
    ngOnInit(): void {
        this.piedata = data;
        this.legendSettings = {
            visible: false
        };
        this.palette = ["#E94649", "#F6B53F", "#6FAAB0", "#FF33F3","#228B22","#3399FF"]
    }

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Animation

Fluid Animation

Fluid animation used to animate series with updated dataSource continues animation rather than animation whole series. You can customize animation for a particular series using [animate] method.

import { AccumulationChartModule, ExportService } from '@syncfusion/ej2-angular-charts'
import { PieSeriesService, AccumulationDataLabelService } from '@syncfusion/ej2-angular-charts'
import { Component, ViewChild, OnInit } from '@angular/core';
import {
    AccumulationChart, AccumulationChartComponent,
     IAccLoadedEventArgs} from '@syncfusion/ej2-angular-charts';

@Component({
imports: [
         AccumulationChartModule
    ],

providers: [PieSeriesService, AccumulationDataLabelService, ExportService],
standalone: true,
    selector: 'app-container',
    template:
      `<ejs-accumulationchart id="donut-container" #pie [title]="title"  (loaded)='loaded($event)'>
            <e-accumulation-series-collection>
                <e-accumulation-series name='Revenue' [dataSource]='data' xName='x' yName='y' [startAngle]="startAngle" [endAngle]="endAngle" innerRadius="40%" [dataLabel]="dataLabel"> </e-accumulation-series>
            </e-accumulation-series-collection>
        </ejs-accumulationchart>`
})
export class AppComponent implements OnInit {
    public data: any;
    public dataLabel?: Object[];
    public count?: number ;
    public startAngle?: number ;
    public endAngle?: number ;
    public title?: string ;
    @ViewChild('pie')
    public pie?: AccumulationChartComponent | AccumulationChart;
    public loaded(args: IAccLoadedEventArgs): void {
        if (this.execute) {
            return;
        }
    }
    execute: any;
    ngOnInit(): void {
        this.data = [
            { 'x': 'Net-tution and Fees', y: 21, text: '21%' },
            { 'x': 'Self-supporting Operations', y: 21, text: '21%' },
            { 'x': 'Private Gifts', y: 8, text: '8%' },
            { 'x': 'All Other', y: 8, text: '8%' },
            { 'x': 'Local Revenue', y: 4, text: '4%' },
            { 'x': 'State Revenue', y: 21, text: '21%' },
            { 'x': 'Federal Revenue', y: 16, text: '16%' }
        ];
        this.dataLabel = {
            visible: true,
            position: 'Inside',
            name: '${point.y}',
            font: {
                color: 'white',
                fontWeight: 'Bold',
                size: '14px'
            }
        } as any;
        let pieinterval = setInterval( () => {
            if (document.getElementById('donut-container')) {
                if (this.count === 0) {
                    this.pie!.series[0].dataSource = [{ 'x': 'Net-tution and Fees', y: 10 },
                    { 'x': 'Self-supporting Operations', y: 10 },
                    { 'x': 'Private Gifts', y: 13 }, { 'x': 'All Other', y: 14 },
                    { 'x': 'Local Revenue', y: 9 }, { 'x': 'State Revenue', y: 13 },
                    { 'x': 'Federal Revenue', y: 8 }
                    ];
                    this.execute = true;
                    this.pie?.animate();
                    this.count++;
                } else if (this.count === 1) {
                    this.pie!.series[0].dataSource = [
                        { 'x': 'Net-tution and Fees', y: 120 }, { 'x': 'Self-supporting Operations', y: 31 },
                        { 'x': 'Private Gifts', y: 6 }, { 'x': 'All Other', y: 12 },
                        { 'x': 'Local Revenue', y: 25 }, { 'x': 'State Revenue', y: 11 },
                        { 'x': 'Federal Revenue', y: 12 }
                    ];
                    this.execute = true;
                    this.pie?.animate();
                    this.count++;
                } else if (this.count === 2) {
                    this.pie!.series[0].dataSource = [
                        { 'x': 'Net-tution and Fees', y: 6 }, { 'x': 'Self-supporting Operations', y: 22 },
                        { 'x': 'Private Gifts', y: 11 }, { 'x': 'All Other', y: 15 },
                        { 'x': 'Local Revenue', y: 13 }, { 'x': 'State Revenue', y: 10 },
                        { 'x': 'Federal Revenue', y: 8 }
                    ];
                    this.execute = true;
                    this.pie?.animate();
                    this.count++;
                } else if (this.count === 3) {
                    this.pie!.series[0].dataSource = [
                        { 'x': 'Net-tution and Fees', y: 15 }, { 'x': 'Self-supporting Operations', y: 10 },
                        { 'x': 'Private Gifts', y: 18 }, { 'x': 'All Other', y: 20 },
                        { 'x': 'Local Revenue', y: 30 }, { 'x': 'State Revenue', y: 20 },
                        { 'x': 'Federal Revenue', y: 25 }
                    ];
                    this.execute = true;
                    this.pie?.animate();
                    this.count++;
                } else if (this.count === 4) {
                    this.pie!.series[0].dataSource = [
                        { 'x': 'Net-tution and Fees', y: 21 }, { 'x': 'Self-supporting Operations', y: 10 },
                        { 'x': 'Private Gifts', y: 15 }, { 'x': 'All Other', y: 15 },
                        { 'x': 'Local Revenue', y: 11 }, { 'x': 'State Revenue', y: 20 },
                        { 'x': 'Federal Revenue', y: 60 }
                    ];
                    this.execute = true;
                    this.pie?.animate();
                    this.count = 0;
                }
            } else {
                clearInterval(pieinterval);
            }
        }, 3000);
        this.count = 0;
        this.startAngle = 0;
        this.endAngle = 360;
        this.title = 'Education Institutional Revenue';
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Appearance in React Accumulation chart component

18 Nov 201824 minutes to read

Custom Color Palette

You can customize the default color of series or points by providing a custom color palette of your choice by using the palettes property.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, PieSeries, Inject } from '@syncfusion/ej2-react-charts';
import { accData } from 'datasource.ts';
function App() {
    const palettes = [
        '#E94649',
        '#F6B53F',
        '#6FAAB0',
        '#FF33F3',
        '#228B22',
        '#3399FF',
    ];
    return <AccumulationChartComponent id='charts'>
      <Inject services={[PieSeries]}/>
      <AccumulationSeriesCollectionDirective>
        <AccumulationSeriesDirective dataSource={accData} xName='x' yName='y' type='Pie' palettes={palettes}>
        </AccumulationSeriesDirective>
      </AccumulationSeriesCollectionDirective>
    </AccumulationChartComponent>;
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, PieSeries, Inject} from'@syncfusion/ej2-react-charts';
import { accData } from 'datasource.ts';

function App() {
    const palettes: any[] = [
      '#E94649',
      '#F6B53F',
      '#6FAAB0',
      '#FF33F3',
      '#228B22',
      '#3399FF',
    ];

  return <AccumulationChartComponent id='charts'>
      <Inject services={[PieSeries]} />
      <AccumulationSeriesCollectionDirective>
        <AccumulationSeriesDirective dataSource={accData} xName='x' yName='y' type='Pie' palettes= {palettes}>
        </AccumulationSeriesDirective>
      </AccumulationSeriesCollectionDirective>
    </AccumulationChartComponent>

};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));

Animation

Fluid Animation

Fluid animation used to animate series with updated dataSource continues animation rather than animation whole series. You can customize animation for a particular series using [animate] method.

import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, Inject, AccumulationChart, PieSeries, AccumulationLegend, AccumulationDataLabel, AccumulationTooltip, AccumulationSelection } from '@syncfusion/ej2-react-charts';
import { getInstance } from '@syncfusion/ej2-base';
import { accData } from '../datasource.ts';
function App() {
    let count = 0;
    function onChartLoad(args) {
        let pie = getInstance('#pie-chart2', AccumulationChart);
        document.getElementById('pie-chart2').setAttribute('title', '');
        pie.loaded = null;
        let pieinterval = setInterval(() => {
            if (document.getElementById('pie-chart2')) {
                if (count === 0) {
                    pie.series[0].dataSource = [
                        { x: 'Net-tution and Fees', y: 10 },
                        { x: 'Self-supporting Operations', y: 10 },
                        { x: 'Private Gifts', y: 13 },
                        { x: 'All Other', y: 14 },
                        { x: 'Local Revenue', y: 9 },
                        { x: 'State Revenue', y: 13 },
                        { x: 'Federal Revenue', y: 8 }
                    ];
                    pie.animate();
                    count++;
                }
                else if (count === 1) {
                    pie.series[0].dataSource = [
                        { x: 'Net-tution and Fees', y: 120 },
                        { x: 'Self-supporting Operations', y: 31 },
                        { x: 'Private Gifts', y: 6 },
                        { x: 'All Other', y: 12 },
                        { x: 'Local Revenue', y: 25 },
                        { x: 'State Revenue', y: 11 },
                        { x: 'Federal Revenue', y: 12 }
                    ];
                    pie.animate();
                    count++;
                }
                else if (count === 2) {
                    pie.series[0].dataSource = [
                        { x: 'Net-tution and Fees', y: 6 },
                        { x: 'Self-supporting Operations', y: 22 },
                        { x: 'Private Gifts', y: 11 },
                        { x: 'All Other', y: 15 },
                        { x: 'Local Revenue', y: 13 },
                        { x: 'State Revenue', y: 10 },
                        { x: 'Federal Revenue', y: 8 }
                    ];
                    pie.animate();
                    count++;
                }
                else if (count === 3) {
                    pie.series[0].dataSource = [
                        { x: 'Net-tution and Fees', y: 15 },
                        { x: 'Self-supporting Operations', y: 10 },
                        { x: 'Private Gifts', y: 18 },
                        { x: 'All Other', y: 20 },
                        { x: 'Local Revenue', y: 30 },
                        { x: 'State Revenue', y: 20 },
                        { x: 'Federal Revenue', y: 25 }
                    ];
                    pie.animate();
                    count++;
                }
                else if (count === 4) {
                    pie.series[0].dataSource = [
                        { x: 'Net-tution and Fees', y: 21 },
                        { x: 'Self-supporting Operations', y: 10 },
                        { x: 'Private Gifts', y: 15 },
                        { x: 'All Other', y: 15 },
                        { x: 'Local Revenue', y: 11 },
                        { x: 'State Revenue', y: 20 },
                        { x: 'Federal Revenue', y: 60 }
                    ];
                    pie.animate();
                    count = 0;
                }
            }
            else {
                clearInterval(pieinterval);
            }
        }, 3000);
    }
    return (<AccumulationChartComponent id="pie-chart2" title="Education Institutional Revenue" loaded={onChartLoad.bind(this)}>
      <Inject services={[
            AccumulationLegend,
            PieSeries,
            AccumulationDataLabel,
            AccumulationTooltip,
            AccumulationSelection
        ]}/>
      <AccumulationSeriesCollectionDirective>
        <AccumulationSeriesDirective name="Revenue" dataSource={accData} xName="x" yName="y" innerRadius="40%" startAngle={0} endAngle={360} dataLabel={{
            visible: true,
            position: 'Inside',
        }}></AccumulationSeriesDirective>
      </AccumulationSeriesCollectionDirective>
    </AccumulationChartComponent>);
}
export default App;
ReactDOM.render(<App />, document.getElementById('charts'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import {
  AccumulationChartComponent,
  AccumulationSeriesCollectionDirective,
  AccumulationSeriesDirective,
  Inject,
  AccumulationChart,
  PieSeries,
  AccumulationLegend,
  AccumulationDataLabel,
  AccumulationTooltip,
  AccumulationSelection,
  ILoadedEventArgs
} from '@syncfusion/ej2-react-charts';
import { getInstance } from '@syncfusion/ej2-base';
import { accData } from '../datasource.ts';

function App() {
  let count = 0;
  function onChartLoad(args: ILoadedEventArgs): void {
    let pie = getInstance('#pie-chart2', AccumulationChart);
    document.getElementById('pie-chart2').setAttribute('title', '');
    pie.loaded = null;
    let pieinterval = setInterval(() => {
      if (document.getElementById('pie-chart2')) {
        if (count === 0) {
          pie.series[0].dataSource = [
            { x: 'Net-tution and Fees', y: 10 },
            { x: 'Self-supporting Operations', y: 10 },
            { x: 'Private Gifts', y: 13 },
            { x: 'All Other', y: 14 },
            { x: 'Local Revenue', y: 9 },
            { x: 'State Revenue', y: 13 },
            { x: 'Federal Revenue', y: 8 }
          ];
          pie.animate();
          count++;
        } else if (count === 1) {
          pie.series[0].dataSource = [
            { x: 'Net-tution and Fees', y: 120 },
            { x: 'Self-supporting Operations', y: 31 },
            { x: 'Private Gifts', y: 6 },
            { x: 'All Other', y: 12 },
            { x: 'Local Revenue', y: 25 },
            { x: 'State Revenue', y: 11 },
            { x: 'Federal Revenue', y: 12 }
          ];
          pie.animate();
          count++;
        } else if (count === 2) {
          pie.series[0].dataSource = [
            { x: 'Net-tution and Fees', y: 6 },
            { x: 'Self-supporting Operations', y: 22 },
            { x: 'Private Gifts', y: 11 },
            { x: 'All Other', y: 15 },
            { x: 'Local Revenue', y: 13 },
            { x: 'State Revenue', y: 10 },
            { x: 'Federal Revenue', y: 8 }
          ];
          pie.animate();
          count++;
        } else if (count === 3) {
          pie.series[0].dataSource = [
            { x: 'Net-tution and Fees', y: 15 },
            { x: 'Self-supporting Operations', y: 10 },
            { x: 'Private Gifts', y: 18 },
            { x: 'All Other', y: 20 },
            { x: 'Local Revenue', y: 30 },
            { x: 'State Revenue', y: 20 },
            { x: 'Federal Revenue', y: 25 }
          ];
          pie.animate();
          count++;
        } else if (count === 4) {
          pie.series[0].dataSource = [
            { x: 'Net-tution and Fees', y: 21 },
            { x: 'Self-supporting Operations', y: 10 },
            { x: 'Private Gifts', y: 15 },
            { x: 'All Other', y: 15 },
            { x: 'Local Revenue', y: 11 },
            { x: 'State Revenue', y: 20 },
            { x: 'Federal Revenue', y: 60 }
          ];
          pie.animate();
          count = 0;
        }
      } else {
        clearInterval(pieinterval);
      }
    }, 3000);
  }

  return (
    <AccumulationChartComponent
      id="pie-chart2"
      title="Education Institutional Revenue"
      loaded={onChartLoad.bind(this)}
    >
      <Inject
        services={[
          AccumulationLegend,
          PieSeries,
          AccumulationDataLabel,
          AccumulationTooltip,
          AccumulationSelection
        ]}
      />
      <AccumulationSeriesCollectionDirective>
        <AccumulationSeriesDirective
          name="Revenue"
          dataSource={accData}
          xName="x"
          yName="y"
          innerRadius="40%"
          startAngle={0}
          endAngle={360}
          dataLabel={{
            visible: true,
            position: 'Inside',
          }}
        ></AccumulationSeriesDirective>
      </AccumulationSeriesCollectionDirective>
    </AccumulationChartComponent>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('charts'));